local ndo = {}

ndo.api = {
    NDO_API_PROTOVERSION = 2,
    NDO_API_STARTCONFIGDUMP = 900,
    NDO_API_ENDCONFIGDUMP = 901,
    NDO_API_ENDDATA = 999,
    NDO_API_ENDDATADUMP = 1000,
    NDO_API_LOGENTRY = 100,
    NDO_API_PROCESSDATA = 200,
    NDO_API_TIMEDEVENTDATA = 201,
    NDO_API_LOGDATA = 202,
    NDO_API_SYSTEMCOMMANDDATA = 203,
    NDO_API_EVENTHANDLERDATA = 204,
    NDO_API_NOTIFICATIONDATA = 205,
    NDO_API_SERVICECHECKDATA = 206,
    NDO_API_HOSTCHECKDATA = 207,
    NDO_API_COMMENTDATA = 208,
    NDO_API_DOWNTIMEDATA = 209,
    NDO_API_FLAPPINGDATA = 210,
    NDO_API_PROGRAMSTATUSDATA = 211,
    NDO_API_HOSTSTATUSDATA = 212,
    NDO_API_SERVICESTATUSDATA = 213,
    NDO_API_ADAPTIVEPROGRAMDATA = 214,
    NDO_API_ADAPTIVEHOSTDATA = 215,
    NDO_API_ADAPTIVESERVICEDATA = 216,
    NDO_API_EXTERNALCOMMANDDATA = 217,
    NDO_API_AGGREGATEDSTATUSDATA = 218,
    NDO_API_RETENTIONDATA = 219,
    NDO_API_CONTACTNOTIFICATIONDATA = 220,
    NDO_API_CONTACTNOTIFICATIONMETHODDATA = 221,
    NDO_API_ACKNOWLEDGEMENTDATA = 222,
    NDO_API_STATECHANGEDATA = 223,
    NDO_API_CONTACTSTATUSDATA = 224,
    NDO_API_ADAPTIVECONTACTDATA = 225,
    NDO_API_MAINCONFIGFILEVARIABLES = 300,
    NDO_API_RESOURCECONFIGFILEVARIABLES = 301,
    NDO_API_CONFIGVARIABLES = 302,
    NDO_API_RUNTIMEVARIABLES = 303,
    NDO_API_HOSTDEFINITION = 400,
    NDO_API_HOSTGROUPDEFINITION = 401,
    NDO_API_SERVICEDEFINITION = 402,
    NDO_API_SERVICEGROUPDEFINITION = 403,
    NDO_API_HOSTDEPENDENCYDEFINITION = 404,
    NDO_API_SERVICEDEPENDENCYDEFINITION = 405,
    NDO_API_HOSTESCALATIONDEFINITION = 406,
    NDO_API_SERVICEESCALATIONDEFINITION = 407,
    NDO_API_COMMANDDEFINITION = 408,
    NDO_API_TIMEPERIODDEFINITION = 409,
    NDO_API_CONTACTDEFINITION = 410,
    NDO_API_CONTACTGROUPDEFINITION = 411,
    NDO_API_HOSTEXTINFODEFINITION = 412,
    NDO_API_SERVICEEXTINFODEFINITION = 413,
    NDO_API_ACTIVEOBJECTSLIST = 414
}

ndo.data = {
    NDO_DATA_NONE = 0,
    NDO_DATA_TYPE = 1,
    NDO_DATA_FLAGS = 2,
    NDO_DATA_ATTRIBUTES = 3,
    NDO_DATA_TIMESTAMP = 4,
    NDO_DATA_ACKAUTHOR = 5,
    NDO_DATA_ACKDATA = 6,
    NDO_DATA_ACKNOWLEDGEMENTTYPE = 7,
    NDO_DATA_ACTIVEHOSTCHECKSENABLED = 8,
    NDO_DATA_ACTIVESERVICECHECKSENABLED = 9,
    NDO_DATA_AUTHORNAME = 10,
    NDO_DATA_CHECKCOMMAND = 11,
    NDO_DATA_CHECKTYPE = 12,
    NDO_DATA_COMMANDARGS = 13,
    NDO_DATA_COMMANDLINE = 14,
    NDO_DATA_COMMANDSTRING = 15,
    NDO_DATA_COMMANDTYPE = 16,
    NDO_DATA_COMMENT = 17,
    NDO_DATA_COMMENTID = 18,
    NDO_DATA_COMMENTTIME = 19,
    NDO_DATA_COMMENTTYPE = 20,
    NDO_DATA_CONFIGFILENAME = 21,
    NDO_DATA_CONFIGFILEVARIABLE = 22,
    NDO_DATA_CONFIGVARIABLE = 23,
    NDO_DATA_CONTACTSNOTIFIED = 24,
    NDO_DATA_CURRENTCHECKATTEMPT = 25,
    NDO_DATA_CURRENTNOTIFICATIONNUMBER = 26,
    NDO_DATA_CURRENTSTATE = 27,
    NDO_DATA_DAEMONMODE = 28,
    NDO_DATA_DOWNTIMEID = 29,
    NDO_DATA_DOWNTIMETYPE = 30,
    NDO_DATA_DURATION = 31,
    NDO_DATA_EARLYTIMEOUT = 32,
    NDO_DATA_ENDTIME = 33,
    NDO_DATA_ENTRYTIME = 34,
    NDO_DATA_ENTRYTYPE = 35,
    NDO_DATA_ESCALATED = 36,
    NDO_DATA_EVENTHANDLER = 37,
    NDO_DATA_EVENTHANDLERENABLED = 38,
    NDO_DATA_EVENTHANDLERSENABLED = 39,
    NDO_DATA_EVENTHANDLERTYPE = 40,
    NDO_DATA_EVENTTYPE = 41,
    NDO_DATA_EXECUTIONTIME = 42,
    NDO_DATA_EXPIRATIONTIME = 43,
    NDO_DATA_EXPIRES = 44,
    NDO_DATA_FAILUREPREDICTIONENABLED = 45,
    NDO_DATA_FIXED = 46,
    NDO_DATA_FLAPDETECTIONENABLED = 47,
    NDO_DATA_FLAPPINGTYPE = 48,
    NDO_DATA_GLOBALHOSTEVENTHANDLER = 49,
    NDO_DATA_GLOBALSERVICEEVENTHANDLER = 50,
    NDO_DATA_HASBEENCHECKED = 51,
    NDO_DATA_HIGHTHRESHOLD = 52,
    NDO_DATA_HOST = 53,
    NDO_DATA_ISFLAPPING = 54,
    NDO_DATA_LASTCOMMANDCHECK = 55,
    NDO_DATA_LASTHARDSTATE = 56,
    NDO_DATA_LASTHARDSTATECHANGE = 57,
    NDO_DATA_LASTHOSTCHECK = 58,
    NDO_DATA_LASTHOSTNOTIFICATION = 59,
    NDO_DATA_LASTLOGROTATION = 60,
    NDO_DATA_LASTSERVICECHECK = 61,
    NDO_DATA_LASTSERVICENOTIFICATION = 62,
    NDO_DATA_LASTSTATECHANGE = 63,
    NDO_DATA_LASTTIMECRITICAL = 64,
    NDO_DATA_LASTTIMEDOWN = 65,
    NDO_DATA_LASTTIMEOK = 66,
    NDO_DATA_LASTTIMEUNKNOWN = 67,
    NDO_DATA_LASTTIMEUNREACHABLE = 68,
    NDO_DATA_LASTTIMEUP = 69,
    NDO_DATA_LASTTIMEWARNING = 70,
    NDO_DATA_LATENCY = 71,
    NDO_DATA_LOGENTRY = 72,
    NDO_DATA_LOGENTRYTIME = 73,
    NDO_DATA_LOGENTRYTYPE = 74,
    NDO_DATA_LOWTHRESHOLD = 75,
    NDO_DATA_MAXCHECKATTEMPTS = 76,
    NDO_DATA_MODIFIEDHOSTATTRIBUTE = 77,
    NDO_DATA_MODIFIEDHOSTATTRIBUTES = 78,
    NDO_DATA_MODIFIEDSERVICEATTRIBUTE = 79,
    NDO_DATA_MODIFIEDSERVICEATTRIBUTES = 80,
    NDO_DATA_NEXTHOSTCHECK = 81,
    NDO_DATA_NEXTHOSTNOTIFICATION = 82,
    NDO_DATA_NEXTSERVICECHECK = 83,
    NDO_DATA_NEXTSERVICENOTIFICATION = 84,
    NDO_DATA_NOMORENOTIFICATIONS = 85,
    NDO_DATA_NORMALCHECKINTERVAL = 86,
    NDO_DATA_NOTIFICATIONREASON = 87,
    NDO_DATA_NOTIFICATIONSENABLED = 88,
    NDO_DATA_NOTIFICATIONTYPE = 89,
    NDO_DATA_NOTIFYCONTACTS = 90,
    NDO_DATA_OBSESSOVERHOST = 91,
    NDO_DATA_OBSESSOVERHOSTS = 92,
    NDO_DATA_OBSESSOVERSERVICE = 93,
    NDO_DATA_OBSESSOVERSERVICES = 94,
    NDO_DATA_OUTPUT = 95,
    NDO_DATA_PASSIVEHOSTCHECKSENABLED = 96,
    NDO_DATA_PASSIVESERVICECHECKSENABLED = 97,
    NDO_DATA_PERCENTSTATECHANGE = 98,
    NDO_DATA_PERFDATA = 99,
    NDO_DATA_PERSISTENT = 100,
    NDO_DATA_PROBLEMHASBEENACKNOWLEDGED = 101,
    NDO_DATA_PROCESSID = 102,
    NDO_DATA_PROCESSPERFORMANCEDATA = 103,
    NDO_DATA_PROGRAMDATE = 104,
    NDO_DATA_PROGRAMNAME = 105,
    NDO_DATA_PROGRAMSTARTTIME = 106,
    NDO_DATA_PROGRAMVERSION = 107,
    NDO_DATA_RECURRING = 108,
    NDO_DATA_RETRYCHECKINTERVAL = 109,
    NDO_DATA_RETURNCODE = 110,
    NDO_DATA_RUNTIME = 111,
    NDO_DATA_RUNTIMEVARIABLE = 112,
    NDO_DATA_SCHEDULEDDOWNTIMEDEPTH = 113,
    NDO_DATA_SERVICE = 114,
    NDO_DATA_SHOULDBESCHEDULED = 115,
    NDO_DATA_SOURCE = 116,
    NDO_DATA_STARTTIME = 117,
    NDO_DATA_STATE = 118,
    NDO_DATA_STATECHANGE = 119,
    NDO_DATA_STATECHANGETYPE = 120,
    NDO_DATA_STATETYPE = 121,
    NDO_DATA_STICKY = 122,
    NDO_DATA_TIMEOUT = 123,
    NDO_DATA_TRIGGEREDBY = 124,
    NDO_DATA_LONGOUTPUT = 125,
    NDO_DATA_ACTIONURL = 126,
    NDO_DATA_COMMANDNAME = 127,
    NDO_DATA_CONTACTADDRESS = 128,
    NDO_DATA_CONTACTALIAS = 129,
    NDO_DATA_CONTACTGROUP = 130,
    NDO_DATA_CONTACTGROUPALIAS = 131,
    NDO_DATA_CONTACTGROUPMEMBER = 132,
    NDO_DATA_CONTACTGROUPNAME = 133,
    NDO_DATA_CONTACTNAME = 134,
    NDO_DATA_DEPENDENCYTYPE = 135,
    NDO_DATA_DEPENDENTHOSTNAME = 136,
    NDO_DATA_DEPENDENTSERVICEDESCRIPTION = 137,
    NDO_DATA_EMAILADDRESS = 138,
    NDO_DATA_ESCALATEONCRITICAL = 139,
    NDO_DATA_ESCALATEONDOWN = 140,
    NDO_DATA_ESCALATEONRECOVERY = 141,
    NDO_DATA_ESCALATEONUNKNOWN = 142,
    NDO_DATA_ESCALATEONUNREACHABLE = 143,
    NDO_DATA_ESCALATEONWARNING = 144,
    NDO_DATA_ESCALATIONPERIOD = 145,
    NDO_DATA_FAILONCRITICAL = 146,
    NDO_DATA_FAILONDOWN = 147,
    NDO_DATA_FAILONOK = 148,
    NDO_DATA_FAILONUNKNOWN = 149,
    NDO_DATA_FAILONUNREACHABLE = 150,
    NDO_DATA_FAILONUP = 151,
    NDO_DATA_FAILONWARNING = 152,
    NDO_DATA_FIRSTNOTIFICATION = 153,
    NDO_DATA_HAVE2DCOORDS = 154,
    NDO_DATA_HAVE3DCOORDS = 155,
    NDO_DATA_HIGHHOSTFLAPTHRESHOLD = 156,
    NDO_DATA_HIGHSERVICEFLAPTHRESHOLD = 157,
    NDO_DATA_HOSTADDRESS = 158,
    NDO_DATA_HOSTALIAS = 159,
    NDO_DATA_HOSTCHECKCOMMAND = 160,
    NDO_DATA_HOSTCHECKINTERVAL = 161,
    NDO_DATA_HOSTCHECKPERIOD = 162,
    NDO_DATA_HOSTEVENTHANDLER = 163,
    NDO_DATA_HOSTEVENTHANDLERENABLED = 164,
    NDO_DATA_HOSTFAILUREPREDICTIONENABLED = 165,
    NDO_DATA_HOSTFAILUREPREDICTIONOPTIONS = 166,
    NDO_DATA_HOSTFLAPDETECTIONENABLED = 167,
    NDO_DATA_HOSTFRESHNESSCHECKSENABLED = 168,
    NDO_DATA_HOSTFRESHNESSTHRESHOLD = 169,
    NDO_DATA_HOSTGROUPALIAS = 170,
    NDO_DATA_HOSTGROUPMEMBER = 171,
    NDO_DATA_HOSTGROUPNAME = 172,
    NDO_DATA_HOSTMAXCHECKATTEMPTS = 173,
    NDO_DATA_HOSTNAME = 174,
    NDO_DATA_HOSTNOTIFICATIONCOMMAND = 175,
    NDO_DATA_HOSTNOTIFICATIONINTERVAL = 176,
    NDO_DATA_HOSTNOTIFICATIONPERIOD = 177,
    NDO_DATA_HOSTNOTIFICATIONSENABLED = 178,
    NDO_DATA_ICONIMAGE = 179,
    NDO_DATA_ICONIMAGEALT = 180,
    NDO_DATA_INHERITSPARENT = 181,
    NDO_DATA_LASTNOTIFICATION = 182,
    NDO_DATA_LOWHOSTFLAPTHRESHOLD = 183,
    NDO_DATA_LOWSERVICEFLAPTHRESHOLD = 184,
    NDO_DATA_MAXSERVICECHECKATTEMPTS = 185,
    NDO_DATA_NOTES = 186,
    NDO_DATA_NOTESURL = 187,
    NDO_DATA_NOTIFICATIONINTERVAL = 188,
    NDO_DATA_NOTIFYHOSTDOWN = 189,
    NDO_DATA_NOTIFYHOSTFLAPPING = 190,
    NDO_DATA_NOTIFYHOSTRECOVERY = 191,
    NDO_DATA_NOTIFYHOSTUNREACHABLE = 192,
    NDO_DATA_NOTIFYSERVICECRITICAL = 193,
    NDO_DATA_NOTIFYSERVICEFLAPPING = 194,
    NDO_DATA_NOTIFYSERVICERECOVERY = 195,
    NDO_DATA_NOTIFYSERVICEUNKNOWN = 196,
    NDO_DATA_NOTIFYSERVICEWARNING = 197,
    NDO_DATA_PAGERADDRESS = 198,
    NDO_DATA_PARALLELIZESERVICECHECK = 199,
    NDO_DATA_PARENTHOST = 200,
    NDO_DATA_PROCESSHOSTPERFORMANCEDATA = 201,
    NDO_DATA_PROCESSSERVICEPERFORMANCEDATA = 202,
    NDO_DATA_RETAINHOSTNONSTATUSINFORMATION = 203,
    NDO_DATA_RETAINHOSTSTATUSINFORMATION = 204,
    NDO_DATA_RETAINSERVICENONSTATUSINFORMATION = 205,
    NDO_DATA_RETAINSERVICESTATUSINFORMATION = 206,
    NDO_DATA_SERVICECHECKCOMMAND = 207,
    NDO_DATA_SERVICECHECKINTERVAL = 208,
    NDO_DATA_SERVICECHECKPERIOD = 209,
    NDO_DATA_SERVICEDESCRIPTION = 210,
    NDO_DATA_SERVICEEVENTHANDLER = 211,
    NDO_DATA_SERVICEEVENTHANDLERENABLED = 212,
    NDO_DATA_SERVICEFAILUREPREDICTIONENABLED = 213,
    NDO_DATA_SERVICEFAILUREPREDICTIONOPTIONS = 214,
    NDO_DATA_SERVICEFLAPDETECTIONENABLED = 215,
    NDO_DATA_SERVICEFRESHNESSCHECKSENABLED = 216,
    NDO_DATA_SERVICEFRESHNESSTHRESHOLD = 217,
    NDO_DATA_SERVICEGROUPALIAS = 218,
    NDO_DATA_SERVICEGROUPMEMBER = 219,
    NDO_DATA_SERVICEGROUPNAME = 220,
    NDO_DATA_SERVICEISVOLATILE = 221,
    NDO_DATA_SERVICENOTIFICATIONCOMMAND = 222,
    NDO_DATA_SERVICENOTIFICATIONINTERVAL = 223,
    NDO_DATA_SERVICENOTIFICATIONPERIOD = 224,
    NDO_DATA_SERVICENOTIFICATIONSENABLED = 225,
    NDO_DATA_SERVICERETRYINTERVAL = 226,
    NDO_DATA_SHOULDBEDRAWN = 227,
    NDO_DATA_STALKHOSTONDOWN = 228,
    NDO_DATA_STALKHOSTONUNREACHABLE = 229,
    NDO_DATA_STALKHOSTONUP = 230,
    NDO_DATA_STALKSERVICEONCRITICAL = 231,
    NDO_DATA_STALKSERVICEONOK = 232,
    NDO_DATA_STALKSERVICEONUNKNOWN = 233,
    NDO_DATA_STALKSERVICEONWARNING = 234,
    NDO_DATA_STATUSMAPIMAGE = 235,
    NDO_DATA_TIMEPERIODALIAS = 236,
    NDO_DATA_TIMEPERIODNAME = 237,
    NDO_DATA_TIMERANGE = 238,
    NDO_DATA_VRMLIMAGE = 239,
    NDO_DATA_X2D = 240,
    NDO_DATA_X3D = 241,
    NDO_DATA_Y2D = 242,
    NDO_DATA_Y3D = 243,
    NDO_DATA_Z3D = 244,
    NDO_DATA_CONFIGDUMPTYPE = 245,
    NDO_DATA_FIRSTNOTIFICATIONDELAY = 246,
    NDO_DATA_HOSTRETRYINTERVAL = 247,
    NDO_DATA_NOTIFYHOSTDOWNTIME = 248,
    NDO_DATA_NOTIFYSERVICEDOWNTIME = 249,
    NDO_DATA_CANSUBMITCOMMANDS = 250,
    NDO_DATA_FLAPDETECTIONONUP = 251,
    NDO_DATA_FLAPDETECTIONONDOWN = 252,
    NDO_DATA_FLAPDETECTIONONUNREACHABLE = 253,
    NDO_DATA_FLAPDETECTIONONOK = 254,
    NDO_DATA_FLAPDETECTIONONWARNING = 255,
    NDO_DATA_FLAPDETECTIONONUNKNOWN = 256,
    NDO_DATA_FLAPDETECTIONONCRITICAL = 257,
    NDO_DATA_DISPLAYNAME = 258,
    NDO_DATA_DEPENDENCYPERIOD = 259,
    NDO_DATA_MODIFIEDCONTACTATTRIBUTE = 260,
    NDO_DATA_MODIFIEDCONTACTATTRIBUTES = 261,
    NDO_DATA_CUSTOMVARIABLE = 262,
    NDO_DATA_HASBEENMODIFIED = 263,
    NDO_DATA_CONTACT = 264,
    NDO_DATA_LASTSTATE = 265,
    NDO_DATA_INSTANCE = 266,
    NDO_DATA_HOSTID = 267,
    NDO_DATA_SERVICEID = 268,
    NDO_DATA_LASTUPDATE = 269,
    NDO_DATA_ACTUALENDTIME = 270,
    NDO_DATA_ACTUALSTARTTIME = 271
}

return ndo
